#### io_context::run_until

Run the `io_context` object's event processing loop until a specified time.

    template<
        typename Clock,
        typename Duration>
    std::size_t run_until(
        const chrono::time_point< Clock, Duration > & abs_time);

The `run_until()` function blocks until all work has finished and there are no more handlers to be dispatched, until the `io_context` has been stopped, or until the specified time has been reached.

###### Parameters

abs_time

  The time point until which the call may block.

###### Return Value

The number of handlers that were executed.